Subject: bug#21015: 25.0.50; Shell is now displayed in another window, what about EShell?

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 22:33:36 +0200

Mark Karpov <[email-masked]> writes:

>> When you invoke `shell' interactively, the *shell* buffer will now
>> display in a new window. <…>
>
> I would say rather in other window (new is created if needed). Good. I
> like this behavior because I still can see buffer that was active before
> invocation of shell, but I usually use Emacs shell, not simple
> shell. Can we have the same defaults for Emacs shell too? For the sake
> of consistency, at least…

I think it would make sense to make `M-x eshell' consistent with `M-x
shell' on this point.  Does anybody have any objections?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no